/* Animation CSS pour faire défiler l'image horizontalement */
@keyframes scrollBackground {
    0% {
        background-position: 0 0;
        /* Début de l'animation (image à gauche) */
    }

    100% {
        background-position: 10000000% 0;
        /* Fin de l'animation (image déplacée à droite) */
    }
}
@-webkit-keyframes shine {
    from {
        -webkit-mask-position: 150%;
    }

    to {
        -webkit-mask-position: -50%;
    }
}



*,
*::after,
*::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

a {
    font-style: normal;
    text-decoration: none;
}

h1 {
    font-family: Grotesk;
    font-weight: 400;
    font-size: 4rem;
    color: var(--color-main-black);
}



.plateformer body {
    height: 100%;
    position: relative;
}
header {
    z-index: 999;
    position: absolute;
    top: 1rem;
    right: 1rem;
}
.header-title {
    text-align: center;
    transition: all 0.2s ease;
}

.header-title:hover {
    -webkit-mask-image: linear-gradient(
        -75deg,
        var(--color-main-black) 20%,
        var(--color-main-black-60) 50%,
        var(--color-main-black) 80%
    );
    -webkit-mask-size: 200%;
    animation: shine 1.5s infinite;
}







.plateformer main {
    width: 100%;
    height: 100vh;
}









/* -----------------/------------------\---------------- */
/* ----------------|---Side Scroller---|---------------- */
/* ----------------\------------------/----------------- */














.side-scroller main {
    width: 100%;
    height: 100vh;
}

.side-scroller .game {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.side-scroller .game-canva {
    position: absolute;
    width: 100%;
    height: 100%;
}

.side-scroller .game-startButton {
    /* font-family: Grotesk; */
    font-size: 2rem;
    text-align: center;
    display: inline-block;
    margin: 5px;
    font-weight: bold;
    padding: 1em;
    background-color: lightgray;

    text-shadow: -1px -1px black, 1px 1px white;
    color: gray;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    -o-border-radius: 7px;
    border-radius: 7px;
    box-shadow: 0 .2em gray;
    cursor: pointer;
    z-index: 10;

}

.side-scroller .game-startButton:active {
    box-shadow: none;
    position: relative;
    top: .2em;
}

body {
    overflow: hidden;
    background-image: url('../../media/image/background.webp');
    background-repeat: repeat-x;
    background-position: 0 0;
    background-size:cover;
    animation: scrollBackground 1000000s linear infinite;
}

